jQuery(document).ready(function () {

    jQuery('.input-number').on('input', function () {

        this.value = this.value.replace(/[^0-9]/g, '');

    });



    jQuery("#txtCP").keyup(function () {

        if (jQuery(this).val().length > 4) {

            BuscarCP(jQuery(this).val());

        } else {

            jQuery('#selectEstado').html('');

            jQuery('#selectCiudad').html('');

            jQuery('#selectColonia').html('');

        }

    });

    jQuery("#txtCP").keypress(function () {

        ort();

    });

    jQuery(document).on('paste, keyup, change', '[id="txtCP"]', function () {

        ValidaCP(jQuery(this).val())

    });





});



function BuscarCP(CPstr) {

    var parametros = "option=searchCP&cp=" + CPstr;

    jQuery.ajax({

        type: 'GET',

        url: 'https://elcampeon.mx/admin/process/proc_cliente.php',

        data: parametros,

        dataType: 'json',

        error: function (xhr) {

            alert("Error al leer read " + xhr.responseText);

        },

        success: function (data) {

            console.log(data);

            var status = data.status;

            if (status != 'error') {

                var rows = data.data;

                jQuery('#selectEstado').html('');

                jQuery('#selectCiudad').html('');

                jQuery('#selectColonia').html('');

                var selectE = "";

                var selectM = "";

                var selectC = "";

                for(var i in rows[0]){

                    selectE += `<option value="${rows[0][i].d_estado}">${rows[0][i].d_estado}</option>`;

                }

                for(var i in rows[1]){

                    selectM += `<option value="${rows[1][i].D_mnpio}">${rows[1][i].D_mnpio}</option>`;

                }

                for(var i in rows[2]){

                    selectC += `<option value="${rows[2][i].d_asenta}">${rows[2][i].d_asenta}</option>`;

                }

                jQuery('#selectEstado').html(selectE);

                jQuery('#selectCiudad').html(selectM);

                jQuery('#selectColonia').html(selectC);

                // for (var row in rows) {

                //     // D_mnpio,d_estado,d_ciudad,d_asenta

                //     var D_mnpio = rows[row].D_mnpio;

                //     var d_estado = rows[row].d_estado;

                //     var d_ciudad = rows[row].d_ciudad;

                //     var d_asenta = rows[row].d_asenta;



                //     jQuery('#selectEstado').append('<option value="' + d_estado + '">' + d_estado + '</option>');

                //     jQuery('#selectCiudad').append('<option value="' + D_mnpio + '">' + D_mnpio + '</option>');

                //     jQuery('#selectColonia').append('<option value="' + d_asenta + '">' + d_asenta + '</option>');

                // }

                // jQuery("#selectEstado option").val(function (idx, val) {

                //     jQuery(this).siblings('[value="' + val + '"]').remove();

                // });

                // jQuery("#selectCiudad option").val(function (idx, val) {

                //     jQuery(this).siblings('[value="' + val + '"]').remove();

                // });

                // jQuery("#selectColonia option").val(function (idx, val) {

                //     jQuery(this).siblings('[value="' + val + '"]').remove();

                // });

            }

        }

    });

}



function ort() {

    // if { OR } OR | OR ~ are pressed. (Character codes 122-127)

    if (event.keyCode == 32) {

        event.preventDefault();

        return false;

    }

}



function ValidaCP(cpStr) {

    var strCorrecta;

    strCorrecta = cpStr;

    if (cpStr.length == 5) {

        var valid = "^[0-9]{5}$";

    } else {

        jQuery('#txtCP').css('color', 'black');

        return;

    }

    var validCP = new RegExp(valid);

    var matchArray = strCorrecta.match(validCP);

    if (matchArray == null) {

        jQuery('#txtCP').css('color', 'black');

        return false;

    } else {

        jQuery('#txtCP').css('color', 'green');

        return true;

    }

}

